var windowManager = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
//var tabmixOptionsWindow = windowManager.getMostRecentWindow("mozilla:tabmixopt");
var gIsFirefox3 = windowManager.getMostRecentWindow("navigator:browser").gIsFirefox3;
var log = windowManager.getMostRecentWindow("navigator:browser").tmLog;

var TMPstyles = {
  _prefsSvc: null,
  get prefsSvc() {
    if (!this._prefsSvc) {
      this._prefsSvc = Components.classes["@mozilla.org/preferences-service;1"].
                 getService(Components.interfaces.nsIPrefBranch);
    }
    return this._prefsSvc;
  },

  init: function () {
    if (!gIsFirefox3)
      document.getElementById("AppearanceTabBox").setAttribute("_hideopacity", true);
            
    try {
      var index = this.prefsSvc.getIntPref("extensions.tabmix.appearance_tab");
    }
    catch (ex) { index = 0; }
    document.getElementById("stylestabs").selectedIndex = index;
  },

  save: function () {
    this.prefsSvc.setIntPref("extensions.tabmix.appearance_tab", document.getElementById("stylestabs").selectedIndex);
    // store the pref immediately
    Components.classes["@mozilla.org/preferences-service;1"].
               getService(Components.interfaces.nsIPrefService).savePrefFile(null);
  },

  cancel: function () {
    Array.forEach(["currentTab", "unreadTab", "otherTab", "progressMeter"], function(aID) {
      document.getElementById(aID)._ondialogcancel();
    });
    this.save();
  }
}
