// code by onemen
var TMP_Places = {
   init : function () {
      eval("PlacesUIUtils._openTabset ="+PlacesUIUtils._openTabset.toString().replace(
         'window.openDialog',
         'var win = window.openDialog'
      ).replace(
         'return;',
         'win.openFromPlaces = true; \ $&'
      ).replace(
         'browserWindow.getBrowser().loadTabs(urls, loadInBackground, replaceCurrentTab);',
         'if (where == "tabshifted" && aEvent.target.localName != "menuitem") \
            where = "current"; \
          browserWindow.TMP_Bookmark.openGroup(urls, where);'
      ));

      PlacesController.prototype.beforeTabMixPLusBuildContextMenu = PlacesController.prototype.buildContextMenu;
      PlacesController.prototype.buildContextMenu = function(aPopup) {
         var anyVisible = this.beforeTabMixPLusBuildContextMenu(aPopup);
         if (anyVisible)
            TMP_Places.buildContextMenu();

         return(anyVisible);
      }

      eval("PlacesUIUtils.openNodeWithEvent ="+PlacesUIUtils.openNodeWithEvent.toString().replace(
         'this.openNodeIn(aNode, whereToOpenLink(aEvent));',
         'this.openNodeIn(aNode, whereToOpenLink(aEvent), aEvent);'
      ));

      // Don't change "current" when user click context menu open (callee is PC_doCommand and aWhere is current)
      // we disable the open menu when the tab is lock
      eval("PlacesUIUtils.openNodeIn ="+PlacesUIUtils.openNodeIn.toString().replace(
         'openUILinkIn(aNode.uri, aWhere);',
         'if (arguments.length == 3) \
             aWhere = TMP_Places.isBookmarklet(aNode.uri) ? "current" : TMP_Places.fixWhereToOpen(arguments[2], aWhere); \
          else if (aWhere == "current" && arguments.callee.caller.name != "PC_doCommand" && !TMP_Places.isBookmarklet(aNode.uri)) \
             aWhere = TMP_Places.fixWhereToOpen(null, aWhere); \
          $&'
      ));

      // use tab label for bookmark name when user renamed the tab
      if ("PlacesCommandHook" in window) {
         eval("PlacesCommandHook.bookmarkPage ="+PlacesCommandHook.bookmarkPage.toString().replace(
            'title = webNav.document.title || url.spec;',
            'title = TMP_Places.getTabFixedTitle(aBrowser, url) || webNav.document.title || url.spec;'
         ));

         eval("PlacesCommandHook._getUniqueTabInfo ="+PlacesCommandHook._getUniqueTabInfo.toString().replace(
            'tabList.push(uri);',
            'tabList.push({uri: uri, title: TMP_Places.getTabFixedTitle(browsers[i], uri)});'
         ).replace(
            'seenURIs.uri.spec = true;',
            'seenURIs[uri.spec] = true;'
         ));
      }

      TMP_update_whereToOpen();

   },

   buildContextMenu : function() {
      var _open = document.getElementById("placesContext_open");
      var _openInWindow = document.getElementById("placesContext_open:newwindow");
      var _openInTab = document.getElementById("placesContext_open:newtab");
      TMP_updateContextMenu(_open, _openInWindow, _openInTab, this.getPrefByDocumentURI(window));
   },

   historyMenuItemsTitle : function TMP_PC_historyMenuItemsTitle(aEvent) {
      var aMenuPopup = aEvent.target;
      if (aMenuPopup.id != "goPopup" || !gPref.getBoolPref("extensions.tabmix.titlefrombookmark"))
         return;

      for (var i = 0; i < aMenuPopup.childNodes.length ; i++) {
         if (aMenuPopup.childNodes[i].id == "startHistorySeparator")
            break;
      }
      for (i++; i < aMenuPopup.childNodes.length ; i++) {
         var item = aMenuPopup.childNodes[i];
         if (item.id == "endHistorySeparator")
            break;
         var bookMarkName = getTitleFromBookmark(item.node.uri);
         if (bookMarkName)
            item.setAttribute("label", bookMarkName);
      }
   },

   historyMenu : function TMP_PC_historyMenu(aEvent) {
      var node = aEvent.target.node;
      if (node) {
         PlacesUIUtils.markPageAsTyped(node.uri);
         var where = this.isBookmarklet(node.uri) ? "current" :
                      this.fixWhereToOpen(aEvent, whereToOpenLink(aEvent, false, true), prefStringTMHistory);
         openUILinkIn(node.uri, where);
      }
   },

   isBookmarklet : function (url) {
      var jsURL = /^ *javascript:/;
      return jsURL.test(url) ? true : false;
   },

   fixWhereToOpen: function (aEvent, aWhere, aPref) {
      var w = getTopWin();
      if (!w)
         return aWhere;

      var tabBrowser = w.getBrowser();
      var aTab = tabBrowser.mCurrentTab;

      if (typeof(aPref) == "undefined")
         aPref = this.getPrefByDocumentURI(window);

      if ((getBoolPref(aPref) || aTab.hasAttribute("locked")))
         if (aEvent && getBoolPref(prefStringTMUseMiddleClick) &&
               (aEvent.button == 1 || aEvent.button == 0 && (aEvent.ctrlKey || aEvent.metaKey)))
            aWhere = "current";
         else if (aWhere == "current" && !tabBrowser.isBlankNotBusyTab(aTab))
            aWhere = "tab";

      return aWhere;
   },

   getPrefByDocumentURI: function (aWindow) {
     switch (aWindow.document.documentURI) {
       case "chrome://browser/content/places/places.xul":
         if (PlacesOrganizer._places.selectedNode.itemId != PlacesUIUtils.leftPaneQueries["History"])
           break;
       case "chrome://browser/content/history/history-panel.xul":
         return prefStringTMHistory;
       case "chrome://browser/content/browser.xul":
       case "chrome://browser/content/bookmarks/bookmarksPanel.xul":
       default:
         break;
     }
     return prefStringTMBookmark;
   },

   _getBookmarkTitle: function TMP_PC__getBookmarkTitle(url) {
      try {
         var itemId = PlacesUtils.getMostRecentBookmarkForURI(gIOService.newURI(url, null, null));
         return itemId > -1 ? PlacesUtils.bookmarks.getItemTitle(itemId): null;
      } catch (ex) { }
      return null;
   },

   // start showAddBookmarkUI with user defined title if exist
   getTabFixedTitle: function TMP_PC_getTabFixedTitle(aBrowser, aURI) {
      var tabBrowser = getBrowser();
      if (tabBrowser == aBrowser)
         aBrowser = tabBrowser.mCurrentBrowser;

      var aTab = tabBrowser.getTabForBrowser(aBrowser);
      var fixedLabelUri = aTab.getAttribute("label-uri");
      if (fixedLabelUri && (fixedLabelUri == aURI.spec || fixedLabelUri == "*"))
         return aTab.getAttribute("fixed-label");

      return null;
   }

}
